test/bin-test/test-dav-sync-push1.sh

changeset 622
6524f45f304e
parent 620
a93374f1849a
child 625
e1a85fbf68f9
--- a/test/bin-test/test-dav-sync-push1.sh	Sun Aug 11 10:57:25 2019 +0200
+++ b/test/bin-test/test-dav-sync-push1.sh	Sun Aug 11 11:27:04 2019 +0200
@@ -59,12 +59,12 @@
 	$DAV_SYNC_BIN push $1 > tmp-sync/out.txt
 	if [ $? -ne 0 ];
 	then
-		echo "$errormsg"
+		echo "$2"
 		exit 2
 	fi
 }
 
-$DAV_BIN mkcol dav-test-repo/sync/test1
+$DAV_BIN mkcol dav-test-repo/sync/test1 2> /dev/null
 
 # 1. test
 # copy files to the test1a dir and run push
@@ -257,3 +257,10 @@
 	echo "push 10: dav-test-repo/sync/test1/ not empty"
 	exit 2
 fi
+
+# cleanup
+$DAV_BIN rm dav-test-repo/sync/test1 2> /dev/null
+if [ $? -ne 0 ]; then
+	echo "cleanup failed"
+	exit 2
+fi

mercurial